// File    : DRIVES.C
// Author  : Eric Woodruff,  CIS ID: 72134,1150
// Updated : Fri 12/16/94 21:27:32
// Note    : Copyright 1994, Eric Woodruff, All rights reserved
// Compiler: Borland C++ 3.1 to 4.02
//
// Demonstrates usage of the GetDriveInfo() function.
// See GETDRINF.ASM for instructions on compiling it or use one of the
// supplied .OBJ files.
//
// Small model:   bcc -ms drives.c getdrsml.obj
// Large model:   bcc -ml drives.c getdrlrg.obj
//

#include <stdio.h>

#include "drvinfo.h"

void main(void)
{
    char drives[27];

    // All types
    GetDriveInfo(drives, drAllValidDrives);
    printf("      Valid: %s\n\n", drives);

    // Individual types
    GetDriveInfo(drives, drRemoveableDrives);
    printf(" Removeable: %s\n", drives);

    GetDriveInfo(drives, drFixedDrives);
    printf("      Fixed: %s\n", drives);

    GetDriveInfo(drives, drRAMDrives);
    printf("        RAM: %s\n", drives);

    GetDriveInfo(drives, drCDROMDrives);
    printf("     CD-ROM: %s\n", drives);

    GetDriveInfo(drives, drNetworkDrives);
    printf("    Network: %s\n", drives);

    GetDriveInfo(drives, drSubstitutedDrives);
    printf("Substituted: %s\n\n", drives);

    // Mix 'n' match.
    GetDriveInfo(drives, drRemoveableDrives | drFixedDrives);
    printf("Removeable or Fixed: %s\n", drives);

    GetDriveInfo(drives, drFixedDrives | drCDROMDrives);
    printf("    Fixed or CD-ROM: %s\n", drives);
}
